Retail Express API 2.1

Gets Supplier Invoice by id

Gets Supplier Invoice by id

get
https://api.retailexpress.com.au/v2.1/supplierinvoices/{id}

Path Parameters

idinteger(int32)required

Supplier Invoice id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Supplier Invoice

SupplierInvoice

Suplier Invoice Model

* Additional properties are NOT allowed.
idinteger(int32)

Id

supplier_invoice_numberstring | null

Supplier Invoice Number

statusstring | null

Supplier Invoice status

notesstring | null

Supplier Invoice notes

international_orderboolean

Is International Order

landed_costs_calculationstring

Allowed values:ManualCurrency Conversion

currency_conversionnumber | null(double)

Currency multiplier

rounding_adjustmentnumber(double)

Rounding Adjustment

origin_countryobject
* Additional properties are NOT allowed.
Show Child Parameters
distribute_costs_bystring | null

Distribute costs by

direct_costsobject

Direct costs model

* Additional properties are NOT allowed.
Show Child Parameters
purchase_order_receiptsarray | null[object]

Supplier Invoice Purchase Order Receipt Model

* Additional properties are NOT allowed.
Show Child Parameters
total_buy_price_exnumber(double)

Total buy price ex

total_taxnumber | null(double)

Total tax

total_buy_price_incnumber | null(double)

Total buy price inc

total_applied_buy_price_exnumber | null(double)

Total applied buy price ex

created_onstring(date-time)

Created on

created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
modified_onstring | null(date-time)

Modified on

modified_byobject
* Additional properties are NOT allowed.
Show Child Parameters
finalised_onstring | null(date-time)

Finalised on

finalised_byobject
* Additional properties are NOT allowed.
Show Child Parameters
supplier_invoiced_onstring | null(date-time)

Supplier Invoiced On

get/supplierinvoices/{id}
 
application/json

Updates Supplier Invoice

Sample request:

PUT /supplierinvoices/1
{
    "supplier_invoice_number": "1235",
    "supplier_invoiced_on": "2022-01-01",
    "status": "Finalised",
    "notes": "notes",
    "distribute_costs_by": "Weight",
    "international_order": true,
    "landed_costs_calculation": "Currency Conversion",
    "origin_country": {
        "id": 2
    },
    "currency_conversion": 1.14,
    "rounding_adjustment": 1.5
}
put
https://api.retailexpress.com.au/v2.1/supplierinvoices/{id}

Path Parameters

idinteger(int32)required

Supplier Invoice id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Supplier Invoice model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Supplier Invoice updated

SupplierInvoice

Suplier Invoice Model

* Additional properties are NOT allowed.
idinteger(int32)

Id

supplier_invoice_numberstring | null

Supplier Invoice Number

statusstring | null

Supplier Invoice status

notesstring | null

Supplier Invoice notes

international_orderboolean

Is International Order

landed_costs_calculationstring

Allowed values:ManualCurrency Conversion

currency_conversionnumber | null(double)

Currency multiplier

rounding_adjustmentnumber(double)

Rounding Adjustment

origin_countryobject
* Additional properties are NOT allowed.
Show Child Parameters
distribute_costs_bystring | null

Distribute costs by

direct_costsobject

Direct costs model

* Additional properties are NOT allowed.
Show Child Parameters
purchase_order_receiptsarray | null[object]

Supplier Invoice Purchase Order Receipt Model

* Additional properties are NOT allowed.
Show Child Parameters
total_buy_price_exnumber(double)

Total buy price ex

total_taxnumber | null(double)

Total tax

total_buy_price_incnumber | null(double)

Total buy price inc

total_applied_buy_price_exnumber | null(double)

Total applied buy price ex

created_onstring(date-time)

Created on

created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
modified_onstring | null(date-time)

Modified on

modified_byobject
* Additional properties are NOT allowed.
Show Child Parameters
finalised_onstring | null(date-time)

Finalised on

finalised_byobject
* Additional properties are NOT allowed.
Show Child Parameters
supplier_invoiced_onstring | null(date-time)

Supplier Invoiced On

put/supplierinvoices/{id}

Body

{}
 
application/json

Searches Supplier Invoices by parameters

Searches Supplier Invoices by parameters

get
https://api.retailexpress.com.au/v2.1/supplierinvoices

Query Parameters

filter_bystring | null

Filter by.
Available field name values: id, supplier_invoice_number, created_on, created_by_id, created_by_first_name, created_by_surname, modified_on, modified_by_id, modified_by_first_name, modified_by_surname, finalised_on, finalised_by_id, finalised_by_first_name, finalised_by_surname, status, total_buy_price_ex, distribute_costs_by, freight_total_ex, freight_includes_tax, freight_total_tax, freight_total_inc, duty_total_ex, duty_includes_tax, duty_total_tax, duty_total_inc, misc_total_ex, misc_includes_tax, misc_total_tax, misc_total_inc, purchase_order_supplier, purchase_order_id, total_tax, total_buy_price_inc, total_applied_buy_price_ex, supplier_invoiced_on

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: created_on:gte:2021-06-03T05:48:09+10:00,created_by_id:in:2|432

order_bystring | null

Order by.

Available field name values: id, supplier_invoice_number, created_on, created_by_id, created_by_first_name, created_by_surname, modified_on, modified_by_id, modified_by_first_name, modified_by_surname, finalised_on, finalised_by_id, finalised_by_first_name, finalised_by_surname, status, total_buy_price_ex, distribute_costs_by, freight_total_ex, freight_includes_tax, freight_total_tax, freight_total_inc, duty_total_ex, duty_includes_tax, duty_total_tax, duty_total_inc, misc_total_ex, misc_includes_tax, misc_total_tax, misc_total_inc, total_tax, total_buy_price_inc, total_applied_buy_price_ex, supplier_invoiced_on

Available direction values: asc, desc.

Example: id asc, product_id desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Supplier Invoices data

SupplierInvoice.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Suplier Invoice Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/supplierinvoices
 
application/json

Creates Supplier Invoice

Sample request:

POST /supplierinvoices
{
    "status": "In Progress",
    "notes": "notes",
    "supplier_invoice_number": "1235",
    "supplier_invoiced_on": "2022-01-01",
    "rounding_adjustment": -2.1,
    "purchase_order_receipts": [
     {
        "id": 1,
        "purchase_order_id": 1,
        "purchase_order_receipt_items": [ 
          { 
             "purchase_order_item_id": 3,
             "quantity_received": 6,
             "quantity_faulty": 1,
             "quantity_invoiced": 1,
             "buy_price_ex": 2,
             "bin": "bin",
             "include_tax": true,
             "notes": "notes"
         }, 
         { 
             "purchase_order_item_id": 4,
             "quantity_received": 4,
             "quantity_faulty": 1,
             "quantity_invoiced": 1,
             "buy_price_ex": 2,
             "bin": "bin",
             "include_tax": true,
             "notes": "notes"
         }]
     }],
     "distribute_costs_by": "Value",
     "direct_costs":
     {
         "freight":
         {
             "includes_tax": false,
             "total_ex": 10
         },
         "misc":
         {
             "includes_tax": false,
             "total_ex": 10
         },
         "duty":
         {
             "total_ex": 20.5
         }
     }
}
post
https://api.retailexpress.com.au/v2.1/supplierinvoices

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Supplier Invoice model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Supplier Invoice created

SupplierInvoice

Suplier Invoice Model

* Additional properties are NOT allowed.
idinteger(int32)

Id

supplier_invoice_numberstring | null

Supplier Invoice Number

statusstring | null

Supplier Invoice status

notesstring | null

Supplier Invoice notes

international_orderboolean

Is International Order

landed_costs_calculationstring

Allowed values:ManualCurrency Conversion

currency_conversionnumber | null(double)

Currency multiplier

rounding_adjustmentnumber(double)

Rounding Adjustment

origin_countryobject
* Additional properties are NOT allowed.
Show Child Parameters
distribute_costs_bystring | null

Distribute costs by

direct_costsobject

Direct costs model

* Additional properties are NOT allowed.
Show Child Parameters
purchase_order_receiptsarray | null[object]

Supplier Invoice Purchase Order Receipt Model

* Additional properties are NOT allowed.
Show Child Parameters
total_buy_price_exnumber(double)

Total buy price ex

total_taxnumber | null(double)

Total tax

total_buy_price_incnumber | null(double)

Total buy price inc

total_applied_buy_price_exnumber | null(double)

Total applied buy price ex

created_onstring(date-time)

Created on

created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
modified_onstring | null(date-time)

Modified on

modified_byobject
* Additional properties are NOT allowed.
Show Child Parameters
finalised_onstring | null(date-time)

Finalised on

finalised_byobject
* Additional properties are NOT allowed.
Show Child Parameters
supplier_invoiced_onstring | null(date-time)

Supplier Invoiced On

post/supplierinvoices

Body

{}
 
application/json

Updates Supplier Invoice Direct Costs

Sample request:

PUT /supplierinvoices/1/directcosts
{
    "freight":
    {
        "total_ex": 10,
        "includes_tax": false
    },
    "misc":
    {
        "total_ex": 32.1,
        "includes_tax": true
    },
    "duty":
    {
        "total_ex": 20.5
    }
}
put
https://api.retailexpress.com.au/v2.1/supplierinvoices/{id}/directcosts

Path Parameters

idinteger(int32)required

Supplier Invoice id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Supplier Invoice Direct Costs model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Supplier Invoice Direct Costs updated

SupplierInvoiceDirectCosts

Supplier Invoice Direct Costs Model

* Additional properties are NOT allowed.
applied_onstring | null(date-time)

DirectCosts AppliedOn

apply_pendingboolean

Is DirectCosts Apply Pending

freightobject

Direct Costs Item model

* Additional properties are NOT allowed.
Show Child Parameters
dutyobject

Direct Costs Item model

* Additional properties are NOT allowed.
Show Child Parameters
miscobject

Direct Costs Item model

* Additional properties are NOT allowed.
Show Child Parameters
put/supplierinvoices/{id}/directcosts

Body

{}
 
application/json